Bug 166608 - Regression in vte update: gnome-terminal [redrawing/scrolling] slow once again.
Regression in vte update: gnome-terminal [redrawing/scrolling] slow once again.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 15:41 EDT by Øyvind Stegard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 18:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Øyvind Stegard 2005-08-23 15:41:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I remember slow Gnome-terminals from the days of FC2/3, but in FC4 all was suddenly well, and improvements in vte (I guess) gave me a snappy gnome-terminal. But alas, the recent update to vte-0.11.14-3.fc4 has caused the slowness to return.

Downgrading to vte-0.11.13-2.fc4 fixes the problem, and gnome-terminal becomes much faster at redrawing. 

I think this should be considered a grave regression, since many people have earlier complained about gnome-terminal's speed compared to xterm or KDE's Konsole.



Version-Release number of selected component (if applicable):
vte-0.11.14-3.fc4

How reproducible:
Always

Steps to Reproduce:
1. Update to vte-0.11.14-3.fc4
2. Open a gnome-terminal and maximize it.
3. Produce some output (or not, doesn't really matter), 'ls -a ~', for instance.
4. Press enter, and keep it pressed, the redrawing is much slower than for the previous version (assuming one has a reasonably fast keyboard-repeat rate.)
5. Or, run a command that produces a lot of terminal output, and watch gnome-terminal/X consume huge amounts of CPU compared to the running command itself.


Actual Results:  Slow re-drawing after update.

Expected Results:  Anything but reduced redraw-speed for gnome-terminal, after the update.

Additional info:

Using official nvidia-drivers (v7676), render-acceleration and DRI enabled.
1.3GHz Intel PIII CPU.
Comment 1 Øyvind Stegard 2005-08-23 17:04:41 EDT
Simple timing test of gnome-terminal[vte] performance from version 0.11.13-2.fc4
to 0.11.14-3.fc4.

The command:
$ time gnome-terminal --full-screen --disable-factory -e "find $HOME"

Ran the command three times for both versions. Nothing else was using any
significant amount of CPU while I conducted the tests. I initially ran find a
couple of times, to get things cached. I did an ldconfig update after upgrading
to vte-0.11.14-3.fc4.

-- vte-0.11.13-2.fc4 --
real    0m29.902s
user    0m4.480s
sys     0m0.329s

real    0m29.922s
user    0m4.475s
sys     0m0.334s

real    0m29.903s
user    0m4.450s
sys     0m0.319s

-- vte-0.11.14-3.fc4 --
real    0m35.953s
user    0m4.971s
sys     0m0.330s

real    0m35.739s
user    0m4.812s
sys     0m0.349s

real    0m35.749s
user    0m4.834s
sys     0m0.305s

The updated version uses more time, obviously. It might not seem significant
from these numbers, but for me, when working in full-screen, the new version of
vte makes gnome-terminal much slower. I don't know why, perhaps my
graphics-driver/hardware combo hits some weird timing issue or something.

I've got a 1280x1024 resolution display, using the font 'Misc Fixed 10' for the
terminal.
Comment 2 Warren Togami 2005-08-23 18:16:03 EDT
I have too noticed slowdowns in this newer version of vte, but it also seems to
have fixed rendering bugs.  Don't forget that these new numbers are still
several times better than FC1-FC3 vte.

Upstream must continue working to balance correctness with performance. 
Performance problems are not a priority for Fedora specifically.  Please report
this to upstream bugzilla.gnome.org.   You may want to include more test data.
Comment 3 Øyvind Stegard 2005-08-24 04:53:15 EDT
> Upstream must continue working to balance correctness with performance. 
> Performance problems are not a priority for Fedora specifically.  Please report
> this to upstream bugzilla.gnome.org.   You may want to include more test data.
Done.
Comment 4 Warren Togami 2005-08-24 18:03:55 EDT
Could you please post the Bugzilla URL here?  Thanks.
Comment 5 Øyvind Stegard 2005-08-25 05:11:32 EDT
(In reply to comment #4)
> Could you please post the Bugzilla URL here?  Thanks.
> 
Of course, sorry, I forgot:
http://bugzilla.gnome.org/show_bug.cgi?id=314328

Note You need to log in before you can comment on or make changes to this bug.